> ## Documentation Index
> Fetch the complete documentation index at: https://developer.bron.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Symbols

> Symbols represent the fundamental identity of a financial instrument - the ticker symbol and basic metadata that identifies what something is, regardless of where it exists or how it's implemented

<sup>API Key permissions: View only, Transaction Operator, Full Access</sup>



## OpenAPI

````yaml /bron-open-api-public.json get /dictionary/symbols
openapi: 3.1.1
info:
  description: >-
    Bron API is based on the RESTish interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.
  title: Bron API
  version: latest
  x-bron-formats:
    bigint: Arbitrary-precision integer encoded as a JSON string.
    date-time-millis: >-
      Epoch milliseconds (UTC) encoded as a JSON string. Convert with `new
      Date(parseInt(value))` or equivalent.
    decimal: Arbitrary-precision decimal encoded as a JSON string.
    int32: 32-bit integer encoded as a JSON string.
    int64: >-
      Long integer encoded as a JSON string to preserve precision (e.g. account
      IDs).
servers:
  - description: app.bron.org
    url: https://api.bron.org
security: []
tags:
  - name: stake
  - name: balances
  - name: addresses
  - name: intents
  - name: assets
  - name: transaction-limits
  - name: canton
  - name: address-book
  - name: workspaces
  - name: accounts
  - name: transactions
paths:
  /dictionary/symbols:
    get:
      tags:
        - assets
      summary: Get Symbols
      description: >-
        Symbols represent the fundamental identity of a financial instrument -
        the ticker symbol and basic metadata that identifies what something is,
        regardless of where it exists or how it's implemented


        <sup>API Key permissions: View only, Transaction Operator, Full
        Access</sup>
      parameters:
        - description: Filter results to only include these specific symbol IDs
          in: query
          name: symbolIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Filter results to only include symbols that are used by these
            specific asset IDs. Useful when you want to know which symbols are
            available for certain assets.
          in: query
          name: assetIds
          required: false
          schema:
            items:
              type: string
            type: array
        - in: query
          name: limit
          required: false
          schema:
            format: int64
            type: string
        - in: query
          name: offset
          required: false
          schema:
            format: int64
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Symbols'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    Symbols:
      properties:
        symbols:
          items:
            $ref: '#/components/schemas/Symbol'
          type: array
      required:
        - symbols
      type: object
    Symbol:
      properties:
        name:
          description: The full name of what this symbol represents
          examples:
            - Bitcoin
          type: string
        symbol:
          description: The ticker symbol that traders and users recognize
          examples:
            - BTC
          type: string
        symbolId:
          description: The unique ID for this symbol
          examples:
            - s20012
          type: string
      required:
        - symbolId
        - symbol
        - name
      type: object

````